﻿#region

using System.Collections.Generic;
using System.Linq;

#endregion

namespace Microsoft.Ceres.Optimizer.GraphMatching
{
    /// <summary>
    /// A compound matcher is one that has many subpatterns that are applied.
    /// </summary>
    public abstract class AbstractCompoundMatcher : AbstractNodeMatcher
    {
        public IEnumerable<AbstractNodeMatcher> SubPatterns
        {
            get { return Children.Cast<AbstractNodeMatcher>(); }
        }
    }
}