﻿namespace Microsoft.Ceres.Optimizer.GraphMatching
{
    /// <summary>
    /// Matches every node.
    /// </summary>
    public class AnythingMatcher : AbstractNodeMatcher
    {
        public AnythingMatcher()
        {
            Name = "Anything";
        }

        public override bool HasMatched
        {
            get { return true; }
        }

        public override bool Search(Node node)
        {
            MatchedNodes.Add(node);
            return true;
        }
    }
}