﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Ceres.Optimizer.GraphMatching;

namespace Microsoft.Ceres.Optimizer.Postprocessors
{
    public class JoinMerger : AbstractPostProcessor
    {
        public override AbstractNodeMatcher Pattern
        {
            get
            {
                // We keep the pattern simple and verify whether the joins are mergeable in Fire().
                return (new NodeTypeMatcher("JoinOperator"))
                       .WithChildren(
                           new AtLeast(1, new NodeTypeMatcher("JoinOperator"))
                        );
            }
        }

        public override void Fire(PatternMatch match)
        {
            throw new NotImplementedException();
        }

        public override bool Iterative
        {
            get { return true; }
        }
    }
}
