﻿using System;
using Microsoft.Ceres.Optimizer.Tests;
using System.Diagnostics;

namespace OptimizerProfiling
{
    /// <summary>
    /// Entry point to the optimizer for profiling.
    /// </summary>
    static class Program
    {
        static void Main(string[] args)
        {
            for (int i = 0; i < 3; ++i)
            {
                QueryOptimizationSmokeTests tests = new QueryOptimizationSmokeTests();
                tests.SetUp();
                Stopwatch sw = Stopwatch.StartNew();
                tests.TestBushyChainJoins();
                sw.Stop();
                Console.WriteLine(sw.Elapsed);
            }
        }
    }
}
