﻿#region

using Microsoft.Ceres.CoreServices.Services.Node;
using Microsoft.Ceres.Evaluation.Operators;
using Microsoft.Ceres.Evaluation.Operators.PlugIns;

#endregion

namespace Microsoft.Ceres.Optimizer.Transformer
{
    /// <summary>
    /// Operator source for the query optimizer.
    /// </summary>
    [DynamicComponent]
    public class OptimizerTransformerOperatorBuilderSource : NamedPlugInSource<OperatorBase>
    {
        /// <inheritdoc cref="NamedPlugInSource{T}.AddPlugIns" />
        protected override void AddPlugIns()
        {
            base.Add(typeof (OptimizerTransformerOperator), () => new OptimizerTransformerOperator());
        }
    }
}