﻿namespace Microsoft.Ceres.Optimizer.Engine.Orders
{
    /// <summary>
    /// Proxy for requested groupings.
    /// </summary>
    public class GroupingProxy : Proxy
    {
        /// <summary>Description of the requested grouping.</summary>
        public NestableHashSet<string> Description { get; set; }

        public override string ToString()
        {
            return Utils.NullFormat("GroupingProxy(Order:{0}, Description:{{{1}}}, Produced: {2}",
                                    Order, Utils.JoinEnumerable(Description), Produced);
        }
    }
}