﻿namespace Microsoft.Ceres.Optimizer.Engine.Orders
{
    /// <summary>
    /// Proxy for requested orderings.
    /// </summary>
    public class OrderProxy : Proxy
    {
        /// <summary>Description of the requested ordering.</summary>
        public OrderDescription Description { get; set; }

        public override string ToString()
        {
            return Utils.NullFormat("OrderProxy(Order:{0}, Description: {1}, Produced: {2}",
                                    Order, Description, Produced);
        }
    }
}