﻿#region

using System.Collections.Generic;

#endregion

namespace Microsoft.Ceres.Optimizer.GraphMatching
{
    /// <summary>
    /// Traverser that enumerates all the node's children.
    /// </summary>
    public class ChildMatcher : AbstractTraverser
    {
        public override IEnumerable<Node> IteratorFor(Node node)
        {
            return node.Children;
        }
    }
}