﻿namespace Microsoft.Ceres.Optimizer.GraphMatching
{
    /// <summary>
    /// Matcher that always returns false.
    /// </summary>
    public class NothingMatcher : AbstractNodeMatcher
    {
        public NothingMatcher()
        {
            Name = "Nothing";
            HasMatched = false;
        }

        public override bool Search(Node node)
        {
            return false;
        }
    }
}