﻿#region

using System.Collections.Generic;

#endregion

namespace Microsoft.Ceres.Optimizer.GraphMatching
{
    /// <summary>
    /// Traverser that operates on the node's parents.
    /// </summary>
    public class ParentMatcher : AbstractTraverser
    {
        public ParentMatcher()
        {
            Name = "ParentMatcher";
        }

        public override IEnumerable<Node> IteratorFor(Node node)
        {
            return node.Parents;
        }
    }
}