﻿#region

using System;
using System.Collections.Generic;

#endregion

namespace Microsoft.Ceres.Optimizer.Rules.Infrastructure
{
    /// <summary>Base interface for the different mappers.</summary>
    public interface IMapper
    {
        /// <summary>The types of operators the implementer is a mapper for.</summary>
        IEnumerable<Type> MapperFor { get; }
    }
}